Create a recording rule
/api/recording-rulesParameters 1
datasetqueryTarget dataset. Overrides dash0.com/dataset in metadata.labels if both are provided.
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
"^[a-zA-Z0-9_-]{3,26}$"Sample request12345678910111213141516171819202122curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/recording-rules' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"apiVersion": "monitoring.coreos.com/v1","kind": "PrometheusRule","metadata": {"name": "Example"},"spec": {"groups": [{"name": "Example","rules": [{"expr": "up == 0"}]}]}}'
Request body required
A resource following the monitoring.coreos.com/v1 PrometheusRule CRD format. A PrometheusRule contains one or more rule groups, each evaluated at a common interval. Groups may contain recording rules, alerting rules, or both.
Metadata for the PrometheusRule resource, following Kubernetes metadata conventions.
Spec of the PrometheusRule resource containing rule groups.
Responses
The recording rule was created.
A resource following the monitoring.coreos.com/v1 PrometheusRule CRD format. A PrometheusRule contains one or more rule groups, each evaluated at a common interval. Groups may contain recording rules, alerting rules, or both.
Metadata for the PrometheusRule resource, following Kubernetes metadata conventions.
Spec of the PrometheusRule resource containing rule groups.